Subject: Re: Regarding select() on PPC

From: Arnd Bergmann <[email-masked]>
Date: Wed, 24 Sep 2008 08:23:12 +0200

On Tuesday 23 September 2008, Benjamin Herrenschmidt wrote:
> 
> > Means argument checking in ppc_select() can be removed??
> > Than shall I post patch to [email-masked]
> 
> ppc_select can probably be removed alltogether and ppc32_select too

I think ppc32_select needs to stay. It never did the hack for
supporting the old_select calling conventions, but it does the
sign extension for the 32 bit arguments, which I think you still
want.

In any way, both the 32 bit emulation and the native ppc32 code
path should do the same thing, which currently they don't.

	Arnd <><